# Starting IntelliJ IDEA instructions
(after performing previous steps, Windows is started and you should see the blue Windows
screen)
- Start IntelliJ IDEA via desktop icon or via start-menu
- Select “Open project”
- Select on the U-drive the folder “NightSky”
- You are good to go…


# Introduction to Programming Exam: NightSky
During this test, you will build an application that can display data about the stars in our night sky. We maintain several pieces of information about each star. Please note, this program is a simulation and therefore does not correspond to reality.

When the user launches the application, a menu will be displayed. The menu presents the following options and functionality:

![](resources/menu.png)


If the user selects an option other than those listed in the menu, an error message will be displayed, and the user can make a new attempt.

![](resources/menuError.png)

Please note: The initial number of stars will be 0 (zero). After choosing menu option 1 and successfully importing star data, the number should correspond to the number of stars listed in the CSV file.

<br><br>

**Option 1: Read stars from stars.csv**

The application will read the file `stars.csv` and add all the stars mentioned in the file. Ensure that when reading, the first line of the file is skipped. Also, configure the correct CSV separator symbol.

![](resources/loadStars.png)
<br><br>

**Option 2: Print all stars**
When this option is selected, the name, distance, and luminosity of all stars will be printed on the screen (refer to the image).

![](resources/printStarsCropped.png)
<br>
*Note: this image is cropped*

<br><br>

**Option 3: Find the brightest star**

When this option is selected, the name of the brightest star is displayed. Brightness can be calculated as follows: `luminosity / distance` (luminosity divided by the distance). This is the brightness as observed from earth.

![](resources/brightestStar.png)
<br><br>


**Option 4: Show the night sky**

Draw all the stars on the screen. Use a circle for each star. Utilize the following data for each star:


| Item   | Rules                                                                                                                                                                             |
|--------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| X-position on the screen  | Use the x value from the star.                                                                                                                                                    |
| Y-position on the screen  | Use the y value from the star                                                                                                                                                    |
| Radius   | The brightness of the star, the same as in option 3 (This can be calculated using the following formula: luminosity/distance). This value should be an  integer.                                    |
| Color     | The color is based on the direction of the star. If it's moving Towards Us (TU):blue, when STill(ST):yellow, and when Moving Away (MA):red.|
| Name     | Name of the star. Place it below the star, left-aligned. Use font size 18 and the standard color green.|


![Applicatie menu](resources/nightsky.png)
<br><br>


**Option 0: Exit** 

When selecting this option the program should be ended.

<br>

**Some tips to get started**
- The most important: Read the assignment carefully!
- Begin by structuring your program. For instance, by typing code comments as you have learned in this course.
- Apply the learned rules for writing clean code. For example, use good variable names and implement methods where you think they are necessary.
- Start small with a simple problem you can solve.
- Test your program frequently to see if it works! Not just at the end.
- The CSV file can be opened simply by using ```new CsvReader("stars.csv");```. There is no additional path or reference to a directory required.
- If you get stuck, try to come up with a workaround. For example: if you don't know how to read the CSV file, manually create some stars.

Good luck